## org.apache.xerces.impl.dv.xs
Class MonthDV

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.xs.TypeValidator
            |
            +--org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
                  |
                  +--org.apache.xerces.impl.dv.xs.MonthDV

public class MonthDV
extends AbstractDateTimeDV

Validator for <gMonth> datatype (W3C Schema Datatypes)

Version:
  $Id: MonthDV.java,v 1.9 2003/01/16 18:34:04 sandygao Exp $
Author:
  Elena Litani, Gopal Sharma, SUN Microsystem Inc.

Fields inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
`CY, D, DAY, h, hh, m, M, mm, MONTH, ms, s, TOTAL_SIZE, utc, YEAR`

Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

Constructor Summary
`MonthDV()`

Method Summary
`protected short` `compareDates(int[] date1, int[] date2)` Overwrite compare algorithm to optimize month comparison REVISIT: this one is lack of the third parameter: boolean strict, so it doesn't override the method in the base.
`protected java.lang.String` `dateToString(int[] date)` Converts month object representation to String
`java.lang.Object` `getActualValue(java.lang.String content, ValidationContext context)` Convert a string to a compiled form
`protected int[]` `parse(java.lang.String str)` Parses, validates and computes normalized version of gMonth object

Methods inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
`append, compare, compareDates, compareOrder, findUTCSign, fQuotient, fQuotient, getAllowedFacets, getDate, getTime, getTimeZone, getYearMonth, indexOf, maxDayInMonthFor, mod, modulo, normalize, parseInt, parseIntYear, parseTimeZone, resetDateObj, validateDateTime`

Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`checkExtraRules, getDataLength, getDigit, getFractionDigits, getTotalDigits, isDigit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonthDV

    public MonthDV()

Method Detail

### getActualValue

    public java.lang.Object getActualValue(java.lang.String content,
                                           ValidationContext context)
                                    throws InvalidDatatypeValueException

  Convert a string to a compiled form
  Overrides:
    `getActualValue` in class `TypeValidator`
  Parameters:
    `content` - The lexical representation of gMonth
  Returns:
    a valid and normalized gMonth object

### parse

    protected int[] parse(java.lang.String str)
                   throws SchemaDateTimeException

  Parses, validates and computes normalized version of gMonth object
  Parameters:
    `str` - The lexical representation of gMonth object --MM with possible time zone Z or (-),(+)hh:mm
    `date` - uninitialized date object
  Returns:
    normalized date representation
  Throws:
    `SchemaDateTimeException` - Invalid lexical representation

### compareDates

    protected short compareDates(int[] date1,
                                 int[] date2)

  Overwrite compare algorithm to optimize month comparison REVISIT: this one is lack of the third parameter: boolean strict, so it doesn't override the method in the base. But maybe this method is not correctly implemented, and I did encounter errors when trying to add the extra parameter. I'm leaving it as is. -SG
  Parameters:
    `date1` -
    `date2` -
  Returns:
    less, greater, equal, indeterminate

### dateToString

    protected java.lang.String dateToString(int[] date)

  Converts month object representation to String
  Overrides:
    `dateToString` in class `AbstractDateTimeDV`
  Parameters:
    `date` - month object
  Returns:
    lexical representation of month: --MM with an optional time zone sign

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.